var isAndroid = Ti.Platform.osname === 'android';
var settings = {},
	isAnimating = false,
	menu, 
    menuButton;
    
exports.createMenu = function(o) {
	// Construct menu UI components and establish view hierarchy
	menu=o.container;
	menuButton = createMenuButton();	
	menuButton.addEventListener('click', handleMenuButtonClick);
	menu.add(menuButton);
	return menu;
};

var handleMenuButtonClick = function(e) {
	// Make sure we don't have other menu animations running
	if (isAndroid && isAnimating === true) {
		return;	
	}
	isAnimating = true;	
	menuButton.isOpen = !menuButton.isOpen;
	
	if(menuButton.isOpen){
		var t3 = Ti.UI.create2DMatrix().rotate(0,-45);
		menuButton.animate({
			transform : t3,
			duration :500
		},function(){
			isAnimating = false;
		});	
		
	}else{
		var t4 = Ti.UI.create2DMatrix();
		t4 = t4.rotate(-45, 0);
		menuButton.animate({
			transform : t4,
			duration :500
		},function(){
			isAnimating = false;
		});
	}
};

var createMenuButton = function() {
		
	var menuButton = Ti.UI.createView({
		backgroundColor: 'blue',
		height: 80,
		width: 250,
		left: 0,
		bottom: 0,
		isOpen: false,
		zIndex:500
	});
	
	var menuLabel = Ti.UI.createLabel({
		text:'MENU',
		top:3, height: 30, left:0, right:0, textAlign:'center',
		width: settings.iconWidth, color:'#fff',		
		font:{ fontWeight:'bold', fontSize:22 }
	});
	
	menuButton.add(menuLabel);
	
	return menuButton;
};
